Update auf Version 5.6x und PHP 7.2, obwohl Version 5.5x nur mit PHP 7.0 läuft, wie soll das gehen?

Hallo und frohes neues Jahr,

nach einiger Zeit möchte ich den Shop auf die neuste Version 5.6.9 bringen. Das Problem dabei ist, auf meinem Server läuft aktuell Shopware 5.5.8 und mit max. PHP 7.0. Wenn ich auf PHP 7.2 umstelle, ist der Shop nicht mehr erreichbar und ich kann logischerweise nicht das Update auf 5.6.9 starten (nur über shell, aber das möchte ich vermeiden). Kann ich jetzt trotzdem das Update auf 5.6.9 mit PHP Version 7.0 einfach laufen lassen und im Anschluß nur umstellen auf PHP 7.2, würde das funktionieren?

Danke für eure Hilfe!

Gruß

Hallo,

schau’ mal hier (besonders Stichwort Lizenz Manager):
Shopware 5 - Update Guides - Update Guide Shopware 5.6

Es dürfen auch keinerlei verschlüsselte Plugins mehr aktiv sein - diese müssen vollständig deaktiviert, deinstalliert und entfernt werden. Mit folgendem Plugin kannst Du nachsehen, ob Du noch welche aktiv hast:

Viele Grüße

1 Like

Hallo Scoopex und Danke für den Hinweis. Also geht es nur um die verschlüsselten Plugins? Sind die raus, läuft auch PHP 7.2? Soweit richtig? 

Viele Grüße  

Hallo,

dazu müsstest Du mal in die Server Logs bzw. das Shopware Core Production Log schauen wenn die Seite nicht mehr geht nach Umstellung der PHP Version.

Dort sollten entsprechende Hinweise zu finden sein.

Viele Grüße

Weiß denn niemand Rat, wie man das machen sollte?

Hallo,

so vorgehen wie ich es beschrieben habe. ionCube Checker nutzen, verschlüsselte Plugins aktualisieren oder deaktivieren/deinstallieren + löschen - auf PHP 7.2 umstellen. Kommt eine weiße Seite, Logfiles prüfen.

Viele Grüße

1 Like

Hallo Scoopex, das war es, Ursache ist ein Plugin mit Ioncube Verschlüsselung, vielen Dank für deine Hilfe!!!